package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxUserRemark;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 微信用户备注列Mapper接口
 *
 * @author flossom
 * @date 2023-12-21
 */
public interface WxUserRemarkMapper {
    /**
     * 查询微信用户备注列
     *
     * @param id 微信用户备注列主键
     * @return 微信用户备注列
     */
    public WxUserRemark selectWxUserRemarkById(Long id);

    /**
     * 查询微信用户备注列列表
     *
     * @param wxUserRemark 微信用户备注列
     * @return 微信用户备注列集合
     */
    public List<WxUserRemark> selectWxUserRemarkList(WxUserRemark wxUserRemark);

    /**
     * 新增微信用户备注列
     *
     * @param wxUserRemark 微信用户备注列
     * @return 结果
     */
    public int insertWxUserRemark(WxUserRemark wxUserRemark);

    /**
     * 修改微信用户备注列
     *
     * @param wxUserRemark 微信用户备注列
     * @return 结果
     */
    public int updateWxUserRemark(WxUserRemark wxUserRemark);

    /**
     * 删除微信用户备注列
     *
     * @param id 微信用户备注列主键
     * @return 结果
     */
    public int deleteWxUserRemarkById(Long id);

    /**
     * 批量删除微信用户备注列
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxUserRemarkByIds(Long[] ids);

    void deleteWxUserRemarkByUserId(@Param("userId") Long userId);
}
